{% extends "base.html" %}

{% block content %}

    <section class="main">
        <div class="nes-container with-title is-centered is-rounded">
            <p class="title">User Login</p>
            <p><i class="nes-logo is-large"></i></p>
            <form action="{{ url_for('login') }}" method="post">
                <div class="nes-field is-inline">
                    <label for="nickname_field">Nickname:</label>
                    <input type="text" id="nickname_field" name="nickname" class="nes-input">
                </div>
                <div class="nes-field is-inline">
                    <label for="password_field">Password:</label>
                    <input type="password" id="password_field" name="password" class="nes-input">
                </div>

                <div class="nes-field is-inline">
                    <p>Remember?</p>
                    <label>
                        <input type="radio" class="nes-radio" name="remember" value="on" checked/>
                        <span>Yes</span>
                    </label>

                    <label>
                        <input type="radio" class="nes-radio" name="remember" value="off"/>
                        <span>No</span>
                    </label>
                </div>

                {% include "includes/show_flashed_messages.html" %}

                <button type="submit" class="nes-btn is-success">Login</button>
            </form>
            <section class="message-list">
                <section class="message -left">
                    <div class="nes-balloon from-left">
                        <p><span class="nes-text is-error">Currently in beta</span> - ask Rob to register an account if you don't have one!</p>
                    </div>
                </section>
                <section class="message -right">
                    <div class="nes-balloon from-right">
                        <p>Don't reuse passwords! Your password is properly hashed, but otherwise security testing is not done!</p>
                    </div>
                </section>
            </section>
        </div>
    </section>


{% endblock %}